[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: any objections from port maintainers to make gcc-4.4 the default?

On Mon, Sep 21, 2009, Aurelien Jarno wrote:
> Please note that building glibc with gcc-4.4 on armel shows an important
> regression, the resulting libc.so.6 is non-PIC. I haven't been able to
> reproduce it with other programs though.
> I don't think it should prevent the switch to gcc-4.4, but we should
> probably pay more attention to the binaries built after the switch.

 This issue popped up with the Ubuntu toolchain and is being fixed

 The fixes are getting upstream and should be in binutils 2.20 and gcc
 4.5, but I don't know where the 4.4 backport stands; a workaround is to
 pass -fno-dwarf2-cfi-asm manually.  Matthias tracked down the patches
 with upstream and ARM so I would expect they will appear in Debian
 pretty soon if they didn't already.  (Thanks!)

Loïc Minier

Reply to: